# Class ShapeShape

java.lang.Object
com.treemap.swing.crossplatform.ShapeShape

All Implemented Interfaces:
  `Shape`

public class ShapeShape extends Object implements Shape

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ShapeShape.PathIteratorPathIterator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeShape(com.macrofocus.geom.Shape shape)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(double x, double y)`
  `boolean`
  `contains(double x, double y, double w, double h)`
  `boolean`
  `contains(Point2D p)`
  `boolean`
  `contains(Rectangle2D r)`
  `Rectangle`
  `getBounds()`
  `Rectangle2D`
  `getBounds2D()`
  `PathIterator`
  `getPathIterator(AffineTransform at)`
  `PathIterator`
  `getPathIterator(AffineTransform at, double flatness)`
  `boolean`
  `intersects(double x, double y, double w, double h)`
  `boolean`
  `intersects(Rectangle2D r)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShapeShape

    public ShapeShape(com.macrofocus.geom.Shape shape)

- ## Method Details

  - ### getBounds

    public Rectangle getBounds()
    Specified by:
      `getBounds` in interface `Shape`

  - ### getBounds2D

    public Rectangle2D getBounds2D()
    Specified by:
      `getBounds2D` in interface `Shape`

  - ### contains

    public boolean contains(double x, double y)
    Specified by:
      `contains` in interface `Shape`

  - ### contains

    public boolean contains(Point2D p)
    Specified by:
      `contains` in interface `Shape`

  - ### intersects

    public boolean intersects(double x, double y, double w, double h)
    Specified by:
      `intersects` in interface `Shape`

  - ### intersects

    public boolean intersects(Rectangle2D r)
    Specified by:
      `intersects` in interface `Shape`

  - ### contains

    public boolean contains(double x, double y, double w, double h)
    Specified by:
      `contains` in interface `Shape`

  - ### contains

    public boolean contains(Rectangle2D r)
    Specified by:
      `contains` in interface `Shape`

  - ### getPathIterator

    public PathIterator getPathIterator(AffineTransform at)
    Specified by:
      `getPathIterator` in interface `Shape`

  - ### getPathIterator

    public PathIterator getPathIterator(AffineTransform at, double flatness)
    Specified by:
      `getPathIterator` in interface `Shape`